dbverify(1)

NAME
dbverify - Check a Lifelines database

SYNOPSIS
dbverify [ options ] file

DESCRIPTION
This manual page documents briefly the dbverify command.

The dbverify program is a companion program of the Lifelines genealogy software, and is used to check an existing lifelines database for errors.

OPTIONS

-a  Perform all checks (does not include fixes)

-g  Check for ghosts (names/refns)

-G  Check for & fix ghosts (names/refns)

-i  Check individuals

-f  Check families

-F  Alter any bad family lineage pointers (to _badptr)

-h  command-line help

-s  Check sours

-e  Check events

-x  Check others

-l  Check database structure

-m  Check for records missing data entries

-M  Fix records missing data entries

-D  Fix bad delete entries

-n  Noisy (echo every record processed)

AUTHOR
This manual page was written by Christian Perrier <bubulle@debian.org>, for the Debian GNU/Linux system (but may be used by others).